package de.hhu.ba.yoshikoWrapper;

import java.util.Properties;

import org.cytoscape.application.swing.CyAction;
import org.cytoscape.application.swing.CySwingApplication;
import org.cytoscape.application.swing.CytoPanelComponent;
import org.cytoscape.service.util.AbstractCyActivator;
import org.osgi.framework.BundleContext;

import de.hhu.ba.yoshikoWrapper.gui.MainPanel;
import de.hhu.ba.yoshikoWrapper.gui.MainPanelAction;


public class CyActivator extends AbstractCyActivator {
	
	public CyActivator() {
		super();
	}
	
	@Override
	public void start(BundleContext context) throws Exception {
		//TODO: Load shared library if installed on startup
		CySwingApplication cytoscapeDesktopService = getService(context,CySwingApplication.class);
		
		MainPanel mainPanel = new MainPanel();
		registerService(context,mainPanel,CytoPanelComponent.class, new Properties());
		
		MainPanelAction controlPanelAction = new MainPanelAction(cytoscapeDesktopService,mainPanel);
		registerService(context,controlPanelAction,CyAction.class, new Properties());

	}

}
